Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
foremen
/
faceted_search
Search Foremen based on the current Dispatch results
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/foremen/faceted_search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "phone": "<string>",
      "company_share": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "<string>",
        "ticket_match_id": "<string>",
        "sender_company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "dispatchable": true,
        "schedule_on": true,
        "rate_override": true,
        "expires_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

filter[job][company_ids]
array

The associated Company IDs for the Job

filter[job][customer_account_ids]
array

The associated Customer Account IDs for the Job

filter[dispatch_number_ids]
array

The associated DispatchNumber IDs

filter[job][driver_ids]
array

The assigned Driver IDs for the Job

filter[job][dropoff_site_ids]
array

The associated Dropoff Site IDs for the Job

filter[job][end_date]
string

End date range for Job.job_start_at

filter[job][equipment_ids]
array

The associated Equipment IDs for the Job

filter[job][external_ids]
array

The associated External Project IDs for the Job

filter[job][material_ids]
array

The associated Material IDs for the Job

filter[job][pickup_site_ids]
array

The associated Pickup Site IDs for the Job

filter[job][project_ids]
array

The associated Project IDs for the Job

filter[job][service_ids]
array

The associated Service IDs for the Job

filter[job][site_types]
array

SiteType enum filters for the Job (see SiteType enum for the list of values)

filter[job][start_date]
string

Start date range for Job.job_start_at

filter[job][states]
array

Job states

filter[job][vendor_account_ids]
array

The associated Vendor Account IDs for the Job

page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
facet[search][query]
string

The typeahead search query. Matches on the models's name field

Response

OK

data
Foreman-Read-Typeahead · object[]
required